import junit.framework.*; 
import junit.textui.*; 

import java.io.*;

public class TestBitfilLaesare extends TestCase { 

    protected Bitfillaesare bitfillaesare;

    protected void setUp(){
        String filnamn = "test.txt";
        // Skapa fil
        try {
            FileWriter fstream = new FileWriter(filnamn);
            BufferedWriter out = new BufferedWriter(fstream);
            out.write("ABC");
            //Close the output stream
            out.close();
            bitfillaesare = new Bitfillaesare(filnamn);
        }catch (Exception e){//Catch exception if any
            System.err.println("Error: " + e.getMessage());
            e.printStackTrace();
        }
	}

    public void testBokstav1() {
        // A = 65 = 0100 0001
        Assert.assertEquals(bitfillaesare.bitarray[0], false); 
        Assert.assertEquals(bitfillaesare.bitarray[1], true); 
        Assert.assertEquals(bitfillaesare.bitarray[2], false); 
        Assert.assertEquals(bitfillaesare.bitarray[3], false); 
        Assert.assertEquals(bitfillaesare.bitarray[4], false); 
        Assert.assertEquals(bitfillaesare.bitarray[5], false); 
        Assert.assertEquals(bitfillaesare.bitarray[6], false); 
        Assert.assertEquals(bitfillaesare.bitarray[7], true); 
	} 

    public void testBokstav2() {
        try {
            bitfillaesare.laesNaestaByte();
        }catch (Exception e){//Catch exception if any
            System.err.println("Error: " + e.getMessage());
            e.printStackTrace();
        }
        // B = 66 = 0100 0010

        Assert.assertEquals(bitfillaesare.bitarray[0], false); 
        Assert.assertEquals(bitfillaesare.bitarray[1], true); 
        Assert.assertEquals(bitfillaesare.bitarray[2], false); 
        Assert.assertEquals(bitfillaesare.bitarray[3], false); 
        Assert.assertEquals(bitfillaesare.bitarray[4], false); 
        Assert.assertEquals(bitfillaesare.bitarray[5], false); 
        Assert.assertEquals(bitfillaesare.bitarray[6], true); 
        Assert.assertEquals(bitfillaesare.bitarray[7], false); 
        
    }
	public static Test suite() { 
		// Junit "parsar" klassen och metoder som borjar pa test
        // antas vara de som ska testas		 
		return new TestSuite(TestBitfilLaesare.class); 
    } 

    public static void main(String[] args) { 
        
        // Testkör på kommandorad
		junit.textui.TestRunner.run(suite()); 
    }
}
